require 'open-uri'

class Shortener

  def process(item, clicked)
    begin
      url = URI.parse(item)
      url = URI.parse("http://" + item) unless url.scheme
    rescue URI::InvalidURIError
      if (clicked)
        $dz.fail("No valid URL on clipboard to shorten")
      else
        $dz.fail("Invalid URL")
      end
    end

    url_as_string = url.to_s

    if url_as_string =~ /https?:\/\/tinyurl\.com\//
      $dz.begin('Getting expanded URL')
      expand_url(url_as_string)
    else
      if (clicked)
        config = "
        *.title = Confirm Shorten URL
        cb.type = cancelbutton
        txt.type = text
        txt.default = Shorten '#{url_as_string}' using TinyURL?
        "
        result = $dz.pashua(config)

        if result['cb'] == "1"
          $dz.fail("Cancelled")
        end
      end
      
      $dz.begin('Getting shortened URL')
      shorten_url(url_as_string)
    end
  end

  def shorten_url(url_to_shorten)
    begin
      short_url = open('https://tinyurl.com/api-create.php?url=' + url_to_shorten, "UserAgent" => "Ruby Script").read
    rescue Exception => e
      $dz.error('Failed to shorten URL', e.message)
    end
    
    if short_url.to_s.strip.length == 0
      $dz.fail('Error shortening URL')
    else
      $dz.finish("URL is now on clipboard")
      $dz.url(short_url)
    end
  end

  def expand_url(url_to_expand)
    begin
      uri = URI(url_to_expand)
      expanded_url = Net::HTTP.new(uri.host, 80).get(uri.path).header['location']
    rescue Exception => e
      $dz.error('Failed to expand URL', e.message)
    end
    
    if expanded_url.to_s.strip.length == 0
      $dz.fail('Error expanding URL')
    else
      $dz.finish("Expanded URL is now on clipboard")
      $dz.url(expanded_url)
    end
  end
end