require 'net/https'
require 'uri'

class PostRequest
  
  def initialize(url, form_data, headers={})
    @url = url
    @form_data = form_data
    @headers = headers
  end
  
  def post
    uri = URI.parse(@url)
    http = Net::HTTP.new(uri.host, uri.port)
    http.use_ssl = true
    http.verify_mode = OpenSSL::SSL::VERIFY_PEER
    request = Net::HTTP::Post.new(uri.request_uri)
    request["Content-Type"] = "application/x-www-form-urlencoded"
    @headers.keys.each do |header_key|
      request.add_field(header_key, @headers[header_key])
    end

    request.set_form_data(@form_data)
    response = http.request(request)
    return response.body
  end
  
end